clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Friends | List of all members
Location Struct Reference
Collaboration diagram for Location:
[legend]

## Public Member Functions
| Location ()
| Location (SourceManager &SM, SourceLocation Loc)
| operator bool () const

## Public Attributes
const FileEntry * | File
unsigned | Line
unsigned | Column

## Friends
bool | operator== (const Location &X, const Location &Y)
bool | operator!= (const Location &X, const Location &Y)
bool | operator< (const Location &X, const Location &Y)
bool | operator> (const Location &X, const Location &Y)
bool | operator<= (const Location &X, const Location &Y)
bool | operator>= (const Location &X, const Location &Y)

## Detailed Description

Definition at line 386 of file Modularize.cpp.

## Constructor & Destructor Documentation

Location::Location | ( |  | ) |
| inline

Definition at line 390 of file Modularize.cpp.

Location::Location | ( | SourceManager & | SM,
|  | SourceLocation | Loc
| ) |  |
| inline

Definition at line 392 of file Modularize.cpp.

References Column, File, and Line.

## Member Function Documentation

Location::operator bool | ( |  | ) | const
| inline

Definition at line 406 of file Modularize.cpp.

References File.

## Friends And Related Function Documentation

bool operator!= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 412 of file Modularize.cpp.

bool operator< | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 416 of file Modularize.cpp.

bool operator<= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 424 of file Modularize.cpp.

bool operator== | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 408 of file Modularize.cpp.

bool operator> | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 423 of file Modularize.cpp.

bool operator>= | ( | const Location & | X,
|  | const Location & | Y
| ) |  |
| friend

Definition at line 427 of file Modularize.cpp.

## Member Data Documentation

unsigned Location::Column

Definition at line 388 of file Modularize.cpp.

const FileEntry* Location::File

Definition at line 387 of file Modularize.cpp.

Referenced by EntityMap::add().

unsigned Location::Line

Definition at line 388 of file Modularize.cpp.

The documentation for this struct was generated from the following file:

- Modularize.cpp